/*
 * Copyright 2009-2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an
 *
 * "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 *
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */

import edu.kit.iism.cdamarket.Person
import edu.kit.iism.cdamarket.Product
import edu.kit.iism.cdamarket.Role

class BootStrap {

  def authenticateService

  def init = { servletContext ->

    //default apiKey as md5 hash
    def md5pass = authenticateService.passwordEncoder('testit')

    //Create Default Authorities
    def roleUser = Role.findByAuthority('ROLE_USER')
    if (!roleUser) roleUser = new Role(authority: 'ROLE_USER', description: 'Regular Users').save()

    def roleAdmin = Role.findByAuthority('ROLE_ADMIN')
    if (!roleAdmin) roleAdmin = new Role(authority: 'ROLE_ADMIN', description: 'Admin Users').save()

    //default admin user
    def adminUser = Person.findByUsername('admin')
    if (!adminUser) {
      adminUser = new Person(username: 'admin', userRealName: 'Administrator', passwd: md5pass, apiKey: "LKFBAEnfpipinrfdsi234sjfwlenf384", email: 'tacenergyadmin@mailinator.com', enabled: true).save()
      roleAdmin.addToPeople(adminUser)
    }
    //Set default time zone to utc in order to avoid time deviations between flot js charts and system time.
    TimeZone.setDefault(TimeZone.getTimeZone("UTC"))
  }
  def destroy = {
  }
} 