
dataSource {
	pooled = true
	driverClassName = "org.hsqldb.jdbcDriver"
	username = "sa"
	password = ""
}
hibernate {
    cache.use_second_level_cache=true
    cache.use_query_cache=true
    cache.provider_class='net.sf.ehcache.hibernate.EhCacheProvider'
}
/*
 * Copyright 2009-2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an
 *
 * "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 *
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */

// environment specific settings
environments {
	development {
		dataSource {
			dbCreate = "create-drop" // one of 'create', 'create-drop','update'
			url = "jdbc:hsqldb:mem:devDB"
		}
	}
	test {
		dataSource {
			dbCreate = "create-drop"
			url = "jdbc:hsqldb:mem:testDb"
		}
	}
	production {
		dataSource {
			dbCreate = "update"
      url = "jdbc:hsqldb:file:prodDb;shutdown=true"

      //Sample configuration for using a local mysql database in production mode
      //Note: Uncomment the line --> runtime 'mysql:mysql-connector-java:5.1.12'
      //in BuildConfig.groovy to automatically download and install the
      // required mysql jdbc driver from a repository in the internet

      /*
      driverClassName = "com.mysql.jdbc.Driver"
      dialect='org.hibernate.dialect.MySQL5InnoDBDialect'
	    username = "[mysql_username]"
	    password = '[mysql_password]'
			url = "jdbc:mysql://localhost:3306/[mysql_db_name]"
			*/
		}
	}
}