/*
 * Copyright 2009-2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an
 *
 * "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 *
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */

security {

  // see DefaultSecurityConfig.groovy for all settable/overridable properties

  active = true

  loginUserDomainClass = "edu.kit.iism.cdamarket.Person"
  authorityDomainClass = "edu.kit.iism.cdamarket.Role"

  useRequestMapDomainClass = false

  requestMapString = '''
   CONVERT_URL_TO_LOWERCASE_BEFORE_COMPARISON
   PATTERN_TYPE_APACHE_ANT

   /login/**=IS_AUTHENTICATED_ANONYMOUSLY

   /cashposition=IS_AUTHENTICATED_ANONYMOUSLY
   /cashposition/index=IS_AUTHENTICATED_ANONYMOUSLY
   /cashposition/list*=IS_AUTHENTICATED_ANONYMOUSLY
   /cashposition/list/**=IS_AUTHENTICATED_ANONYMOUSLY
   /cashposition/show*=IS_AUTHENTICATED_ANONYMOUSLY
   /cashposition/show/**=IS_AUTHENTICATED_ANONYMOUSLY
   /cashposition*=ROLE_ADMIN
   /cashposition/**=ROLE_ADMIN

   /depotposition=IS_AUTHENTICATED_ANONYMOUSLY
   /depotposition/index=IS_AUTHENTICATED_ANONYMOUSLY
   /depotposition/list*=IS_AUTHENTICATED_ANONYMOUSLY
   /depotposition/list/**=IS_AUTHENTICATED_ANONYMOUSLY
   /depotposition/show*=IS_AUTHENTICATED_ANONYMOUSLY
   /depotposition/show/**=IS_AUTHENTICATED_ANONYMOUSLY
   /depotposition*=ROLE_ADMIN
   /depotposition/**=ROLE_ADMIN

   /forecast=IS_AUTHENTICATED_ANONYMOUSLY
   /forecast/index=IS_AUTHENTICATED_ANONYMOUSLY
   /forecast/list*=IS_AUTHENTICATED_ANONYMOUSLY
   /forecast/list/**=IS_AUTHENTICATED_ANONYMOUSLY
   /forecast/show*=IS_AUTHENTICATED_ANONYMOUSLY
   /forecast/show/**=IS_AUTHENTICATED_ANONYMOUSLY
   /forecast*=ROLE_ADMIN
   /forecast/**=ROLE_ADMIN

   /orderbook=IS_AUTHENTICATED_ANONYMOUSLY
   /orderbook/index=IS_AUTHENTICATED_ANONYMOUSLY
   /orderbook/list*=IS_AUTHENTICATED_ANONYMOUSLY
   /orderbook/list/**=IS_AUTHENTICATED_ANONYMOUSLY
   /orderbook/show*=IS_AUTHENTICATED_ANONYMOUSLY
   /orderbook/show/**=IS_AUTHENTICATED_ANONYMOUSLY
   /orderbook*=ROLE_ADMIN
   /orderbook/**=ROLE_ADMIN

   /shout=IS_AUTHENTICATED_ANONYMOUSLY
   /shout/index=IS_AUTHENTICATED_ANONYMOUSLY
   /shout/list*=IS_AUTHENTICATED_ANONYMOUSLY
   /shout/list/**=IS_AUTHENTICATED_ANONYMOUSLY
   /shout/show*=IS_AUTHENTICATED_ANONYMOUSLY
   /shout/show/**=IS_AUTHENTICATED_ANONYMOUSLY
   /shout*=ROLE_ADMIN
   /shout/**=ROLE_ADMIN

   /transactionlog=IS_AUTHENTICATED_ANONYMOUSLY
   /transactionlog/index=IS_AUTHENTICATED_ANONYMOUSLY
   /transactionlog/list*=IS_AUTHENTICATED_ANONYMOUSLY
   /transactionlog/list/**=IS_AUTHENTICATED_ANONYMOUSLY
   /transactionlog/show*=IS_AUTHENTICATED_ANONYMOUSLY
   /transactionlog/show/**=IS_AUTHENTICATED_ANONYMOUSLY
   /transactionlog*=ROLE_ADMIN
   /transactionlog/**=ROLE_ADMIN

   /notification=IS_AUTHENTICATED_ANONYMOUSLY
   /notification/index=IS_AUTHENTICATED_ANONYMOUSLY
   /notification/list*=IS_AUTHENTICATED_ANONYMOUSLY
   /notification/list/**=IS_AUTHENTICATED_ANONYMOUSLY
   /notification/show*=IS_AUTHENTICATED_ANONYMOUSLY
   /notification/show/**=IS_AUTHENTICATED_ANONYMOUSLY
   /notification*=ROLE_ADMIN
   /notification/**=ROLE_ADMIN

   /competition/list*=IS_AUTHENTICATED_ANONYMOUSLY
   /competition/list/**=IS_AUTHENTICATED_ANONYMOUSLY
   /competition/show*=IS_AUTHENTICATED_ANONYMOUSLY
   /competition/show/**=IS_AUTHENTICATED_ANONYMOUSLY
   /competition*=ROLE_ADMIN
   /competition/**=ROLE_ADMIN


   /person/chart*=IS_AUTHENTICATED_ANONYMOUSLY
   /person/chart/**=IS_AUTHENTICATED_ANONYMOUSLY
   /person*=ROLE_ADMIN
   /person/**=ROLE_ADMIN

   /role*=ROLE_ADMIN
   /role/**=ROLE_ADMIN

   /runtimelogging*=ROLE_ADMIN
   /runtimelogging/**=ROLE_ADMIN
   '''
}
