/*
 * Copyright 2009-2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an
 *
 * "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 *
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */

import org.apache.activemq.broker.TransportConnector
import org.apache.activemq.xbean.XBeanBrokerService
import org.codehaus.groovy.grails.commons.ConfigurationHolder

String brokerDestination = ConfigurationHolder.config.tacenergy.server

// Place your Spring DSL code here
beans = {

  switch (grails.util.GrailsUtil.environment) {
    case "test":
      jmsBroker(XBeanBrokerService) {
        useJmx = 'true'
        persistent = 'false'
        transportConnectors = [new TransportConnector(uri: new URI(ConfigurationHolder.config.tacenergy.broker.url))]
      }
      jmsFactory(org.apache.activemq.ActiveMQConnectionFactory) {
        brokerURL = ConfigurationHolder.config.tacenergy.broker.url
      }
      break
    case "development":
      jmsBroker(XBeanBrokerService) {
        useJmx = 'true'
        persistent = 'false'
        transportConnectors = [
            new TransportConnector(name: 'tcp', uri: new URI(ConfigurationHolder.config.tacenergy.broker.url))
        ]
      }
      jmsFactory(org.apache.activemq.ActiveMQConnectionFactory) {
        brokerURL = ConfigurationHolder.config.tacenergy.broker.url
      }
      break
    case "production":
      jmsBroker(XBeanBrokerService) {
        useJmx = 'true'
        persistent = 'false'
        transportConnectors = [
            new TransportConnector(name: 'tcp', uri: new URI(ConfigurationHolder.config.tacenergy.broker.url))
        ]
      }
      jmsFactory(org.apache.activemq.ActiveMQConnectionFactory) {
        brokerURL = ConfigurationHolder.config.tacenergy.broker.url
      }
      break
  }

  jmsConnectionFactory(org.apache.activemq.pool.PooledConnectionFactory) {
    connectionFactory = ref('jmsFactory')
  }

  defaultJmsTemplate(org.springframework.jms.core.JmsTemplate) {
    connectionFactory = ref("jmsConnectionFactory")
  }
}