/*
 * Copyright 2009-2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an
 *
 * "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 *
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */

package edu.kit.iism.cdamarket

import org.hibernate.FlushMode
import org.springframework.orm.hibernate3.SessionHolder
import org.hibernate.Session
import org.springframework.orm.hibernate3.SessionFactoryUtils
import org.springframework.transaction.support.TransactionSynchronizationManager

class TimeShiftJob {

  static triggers = {
    simple name: 'mySimpleTrigger', group: 'mySimpleTriggerGroup'
  }
  static concurrent = false

  def productManagementService
  def sessionFactory
  def propertyInstanceMap = org.codehaus.groovy.grails.plugins.DomainClassGrailsPlugin.PROPERTY_INSTANCE_MAP

  def execute() {
    def session = sessionFactory.currentSession
    session.setFlushMode(FlushMode.AUTO);
    if (log.isDebugEnabled()) log.debug("Hibernate Session bound to Job thread");

    //Actual code to be executed
    if (log.isInfoEnabled()) log.info "${new Date()}: Shifting competition time..."
    productManagementService.shiftProducts()

    session.flush()
    session.clear()
    propertyInstanceMap.get().clear()
  }
}
