/*
 * Copyright 2009-2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an
 *
 * "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 *
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */

import javax.crypto.Cipher
import javax.crypto.SecretKeyFactory
import javax.crypto.spec.DESKeySpec

class DESCodec {
  static encode = { String target ->
    def cipher = getCipher(Cipher.ENCRYPT_MODE)
    return cipher.doFinal(target.bytes).encodeBase64()
  }

  static decode = { String target ->
    def cipher = getCipher(Cipher.DECRYPT_MODE)
    return new String(cipher.doFinal(target.decodeBase64()))
  }

  private static getCipher(mode) {
    def keySpec = new DESKeySpec(getPassword())
    def cipher = Cipher.getInstance("DES")
    def keyFactory = SecretKeyFactory.getInstance("DES")
    cipher.init(mode, keyFactory.generateSecret(keySpec))
    return cipher
  }

  private static getPassword() { "secret12".getBytes("UTF-8") }

  static void main(args) {
    if (args) {
      println encode(args[0])
    }
  }
}