%{--
  - Copyright 2009-2010 the original author or authors.
  -
  - Licensed under the Apache License, Version 2.0 (the "License");
  - you may not use this file except in compliance with the License.
  - You may obtain a copy of the License at
  -
  -  http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an
  -
  - "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
  -
  - either express or implied. See the License for the specific language
  - governing permissions and limitations under the License.
  --}%

<%@ page import="edu.kit.iism.cdamarket.TransactionType" contentType="text/html;charset=UTF-8" %>

<div id="currentCompetition">
  <h2>
    Current Competition '<g:link controller="competition" action="show" id="${competition.id}">${competition.name}</g:link>'
  </h2>
  <div class="quiet">Current Competition time: ${competition.currentCompetitionTime}</div>

  <div class="span-4 column">
    <strong>Participating Agents</strong>
    <g:each in="${personList}" status="i" var="personInstance">
      <div>
        <g:link action="chart" controller="person" id="${personInstance.id}">${personInstance}</g:link>
      </div>
    </g:each>
  </div>
  <div class="span-4 column">
    <strong>Now Tradeable</strong>
    <g:each var="productInstance" in="${productList}">
      <div>
        ${productInstance}
        <g:link action="latest" controller="orderbook" id="${productInstance.id}"><img src="${resource(dir: 'images/skin', file: 'report.png')}" alt="${productInstance} Orderbook"/></g:link>
        <img src="${resource(dir: 'images/skin', file: 'chart_curve.png')}" alt="${productInstance} Chart"/>
      </div>
    </g:each>
  </div>
  <div class="prepend-1 span-9 last">
    <strong>Update Ticker:</strong><br/>
      <g:each var="transactionLogInstance" in="${transactionLogList}">
        <g:if test="${transactionLogInstance.type == TransactionType.QUOTE}">
          <span class="small quiet">QUOTE: B ${transactionLogInstance.bidSize} @ ${transactionLogInstance.bid} - A ${transactionLogInstance.askSize} @ ${transactionLogInstance.ask} -> ${transactionLogInstance.product} </span><br/>
        </g:if>
        <g:else>
          <span class="small quiet">TRADE: ${transactionLogInstance.price} @ ${transactionLogInstance.quantity} ${transactionLogInstance.buySellIndicator} -> ${transactionLogInstance.product}</span><br/>
        </g:else>
      </g:each>
    <g:link controller="transactionLog" action="list">More...</g:link>
  </div>
</div>