
%{--
  - Copyright 2009-2010 the original author or authors.
  -
  - Licensed under the Apache License, Version 2.0 (the "License");
  - you may not use this file except in compliance with the License.
  - You may obtain a copy of the License at
  -
  -  http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an
  -
  - "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
  -
  - either express or implied. See the License for the specific language
  - governing permissions and limitations under the License.
  --}%

<%@ page import="edu.kit.iism.cdamarket.CashPosition" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'cashPosition.label', default: 'CashPosition')}" />
        <title><g:message code="default.edit.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
            <span class="menuButton"><g:link class="list" action="list"><g:message code="default.list.label" args="[entityName]" /></g:link></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="default.edit.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="success">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${cashPositionInstance}">
            <div class="errors">
                <g:renderErrors bean="${cashPositionInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:form method="post" >
                <g:hiddenField name="id" value="${cashPositionInstance?.id}" />
                <g:hiddenField name="version" value="${cashPositionInstance?.version}" />
                <div class="dialog">
                    <table>
                        <tbody>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="person"><g:message code="cashPosition.person.label" default="Person" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: cashPositionInstance, field: 'person', 'errors')}">
                                    <g:select name="person.id" from="${edu.kit.iism.cdamarket.Person.list()}" optionKey="id" value="${cashPositionInstance?.person?.id}"  />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="change"><g:message code="cashPosition.change.label" default="Change" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: cashPositionInstance, field: 'change', 'errors')}">
                                    <g:textField name="change" value="${fieldValue(bean: cashPositionInstance, field: 'change')}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="balance"><g:message code="cashPosition.balance.label" default="Balance" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: cashPositionInstance, field: 'balance', 'errors')}">
                                    <g:textField name="balance" value="${fieldValue(bean: cashPositionInstance, field: 'balance')}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="description"><g:message code="cashPosition.description.label" default="Description" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: cashPositionInstance, field: 'description', 'errors')}">
                                    <g:textField name="description" value="${cashPositionInstance?.description}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="dateCreated"><g:message code="cashPosition.dateCreated.label" default="Date Created" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: cashPositionInstance, field: 'dateCreated', 'errors')}">
                                    <g:datePicker name="dateCreated" precision="day" value="${cashPositionInstance?.dateCreated}"  />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="transactionID"><g:message code="cashPosition.transactionID.label" default="Transaction ID" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: cashPositionInstance, field: 'transactionID', 'errors')}">
                                    <g:textField name="transactionID" value="${fieldValue(bean: cashPositionInstance, field: 'transactionID')}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="latest"><g:message code="cashPosition.latest.label" default="Latest" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: cashPositionInstance, field: 'latest', 'errors')}">
                                    <g:checkBox name="latest" value="${cashPositionInstance?.latest}" />
                                </td>
                            </tr>
                        
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:actionSubmit class="save" action="update" value="${message(code: 'default.button.update.label', default: 'Update')}" /></span>
                    <span class="button"><g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
