%{--
  - Copyright 2009-2010 the original author or authors.
  -
  - Licensed under the Apache License, Version 2.0 (the "License");
  - you may not use this file except in compliance with the License.
  - You may obtain a copy of the License at
  -
  -  http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an
  -
  - "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
  -
  - either express or implied. See the License for the specific language
  - governing permissions and limitations under the License.
  --}%

<%@ page import="edu.kit.iism.cdamarket.Competition" %>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
  <meta name="layout" content="main"/>
  <g:set var="entityName" value="${message(code: 'competition.label', default: 'Competition')}"/>
  <title><g:message code="default.edit.label" args="[entityName]"/></title>
  <g:helpBalloons/>
</head>
<body>
<div class="nav">
  <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
  <span class="menuButton"><g:link class="list" action="list"><g:message code="default.list.label" args="[entityName]"/></g:link></span>
  <span class="menuButton"><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]"/></g:link></span>
</div>
<div class="body">
  <h1><g:message code="default.edit.label" args="[entityName]"/></h1>
  <g:if test="${flash.message}">
    <div class="success">${flash.message}</div>
  </g:if>
  <g:hasErrors bean="${competitionInstance}">
    <div class="errors">
      <g:renderErrors bean="${competitionInstance}" as="list"/>
    </div>
  </g:hasErrors>
  <g:form method="post">
    <g:hiddenField name="id" value="${competitionInstance?.id}"/>
    <g:hiddenField name="version" value="${competitionInstance?.version}"/>
    <div class="dialog">
      <table>
        <tbody>

        <tr class="prop">
          <td valign="top" class="name">
            <label for="name"><g:message code="competition.name.label" default="Name"/></label>
          </td>
          <td valign="top" class="value ${hasErrors(bean: competitionInstance, field: 'name', 'errors')}">
            <g:helpBalloon title="${message(code: 'competition.name.label')}" content="Names of the competition."/>
            <g:textField name="name" value="${competitionInstance?.name}"/>
          </td>
        </tr>

        <tr class="prop">
          <td valign="top" class="name">
            <label for="description"><g:message code="competition.description.label" default="Description"/></label>
          </td>
          <td valign="top" class="value ${hasErrors(bean: competitionInstance, field: 'description', 'errors')}">
            <g:helpBalloon title="${message(code: 'competition.description.label')}" content="Optionally you may add a short description for this competition."/>
            <g:textField name="description" value="${competitionInstance?.description}"/>
          </td>
        </tr>

        <tr class="prop">
          <td valign="top" class="name">
            <label for="initialDuration"><g:message code="competition.initialDuration.label"/></label>
          </td>
          <td valign="top" class="value ${hasErrors(bean: competitionInstance, field: 'initialDuration', 'errors')}">
            <g:helpBalloon title="${message(code: 'competition.initialDuration.label')}" content="Here you can define the time in seconds before an initial timeslot shift occurrs. The default is 60 seconds. This means that after 60 seconds runtime the oldest product in the competition will be closed and a new product will be opened for trading."/>
            <g:textField name="initialDuration" value="${fieldValue(bean: competitionInstance, field: 'initialDuration')}"/>
            <g:message code="competition.seconds"/>
          </td>
        </tr>

        <tr class="prop">
          <td valign="top" class="name">
            <label for="durationBetweenShifts"><g:message code="competition.durationBetweenShifts.label"/></label>
          </td>
          <td valign="top" class="value ${hasErrors(bean: competitionInstance, field: 'durationBetweenShifts', 'errors')}">
            <g:helpBalloon title="${message(code: 'competition.durationBetweenShifts.label')}" content="Here you can define the time in seconds between two timeslot shifts. The default is 60 seconds. This means that 60 seconds after a timeslot shift occurred, another shift is triggered, i.e. the oldest product in the competition will be closed and a new product will be opened for trading."/>
            <g:textField name="durationBetweenShifts" value="${fieldValue(bean: competitionInstance, field: 'durationBetweenShifts')}"/>
            <g:message code="competition.seconds"/>
          </td>
        </tr>

        <tr class="prop">
          <td valign="top" class="name">
            <label for="timeslotLength"><g:message code="competition.timeslotLength.label" default="Timeslot Length"/></label>
          </td>
          <td valign="top" class="value ${hasErrors(bean: competitionInstance, field: 'timeslotLength', 'errors')}">
            <g:helpBalloon title="${message(code: 'competition.timeslotLength.label')}" content="Here you can define the length in minutes of a timeslot. The default is 60 minutes."/>
            <g:textField name="timeslotLength" value="${fieldValue(bean: competitionInstance, field: 'timeslotLength')}"/>
            <g:message code="competition.minutes"/>
          </td>
        </tr>

        <tr class="prop">
          <td valign="top" class="name">
            <label for="timeslotsOverall"><g:message code="competition.timeslotsOverall.label" default="Timeslots Overall"/></label>
          </td>
          <td valign="top" class="value ${hasErrors(bean: competitionInstance, field: 'timeslotsOverall', 'errors')}">
            <g:helpBalloon title="${message(code: 'competition.timeslotsOverall.label')}" content="Here you can define the overall number of time slots in the competition. The default is 24. In combination with the default timeslot length of 60 minutes this means that one 24 hour day will be simulated"/>
            <g:textField name="timeslotsOverall" value="${fieldValue(bean: competitionInstance, field: 'timeslotsOverall')}"/>
            <g:message code="competition.slots"/>
          </td>
        </tr>

        <tr class="prop">
          <td valign="top" class="name">
            <label for="timeslotsOpen"><g:message code="competition.timeslotsOpen.label" default="Timeslots Open"/></label>
          </td>
          <td valign="top" class="value ${hasErrors(bean: competitionInstance, field: 'timeslotsOpen', 'errors')}">
            <g:helpBalloon title="${message(code: 'competition.timeslotsOpen.label')}" content="Here you can define the number of time slots that are concurrently open for trading. The default is 12. This means that products corresponding to in the future 12 hours are tradeable."/>
            <g:textField name="timeslotsOpen" value="${fieldValue(bean: competitionInstance, field: 'timeslotsOpen')}"/>
            <g:message code="competition.slots"/>
          </td>
        </tr>

        <tr class="prop">
          <td valign="top" class="name">
            <label for="deactivateTimeslotsAhead"><g:message code="competition.deactivateTimeslotsAhead.label" default="Deactivate Timeslots Ahead"/></label>
          </td>
          <td valign="top" class="value ${hasErrors(bean: competitionInstance, field: 'deactivateTimeslotsAhead', 'errors')}">
            <g:helpBalloon title="${message(code: 'competition.deactivateTimeslotsAhead.label')}" content="Here you can define how many timeslots ahead of the current competition time a timeslot is closed. The default is 1. In combination with the default timeslot length of 60 minutes this means that trading for products is suspended one hour ahead of competition time."/>
            <g:textField name="deactivateTimeslotsAhead" value="${fieldValue(bean: competitionInstance, field: 'deactivateTimeslotsAhead')}"/>
            <g:message code="competition.slots"/>
          </td>
        </tr>

        <tr class="prop">
          <td valign="top" class="name">
            <label for="participantCount"><g:message code="competition.participantCount.label" default="Participant Count"/></label>
          </td>
          <td valign="top" class="value ${hasErrors(bean: competitionInstance, field: 'participantCount', 'errors')}">
            <g:helpBalloon title="${message(code: 'competition.participantCount.label')}" content="Here the number of participants for this competition is defined. When creating the competition this number of user accounts is automatically created."/>
            <g:textField name="participantCount" value="${fieldValue(bean: competitionInstance, field: 'participantCount')}"/>
          </td>
        </tr>

        <tr class="prop">
          <td valign="top" class="name">
            <label for="balancingCostOver"><g:message code="competition.balancingCostOver.label" default="Balancing Cost Over"/></label>
          </td>
          <td valign="top" class="value ${hasErrors(bean: competitionInstance, field: 'balancingCostOver', 'errors')}">
            <g:helpBalloon title="${message(code: 'competition.balancingCostOver.label')}" content="Here the price for excess demand is defined. E.g. a consumer has a real demand of 110 units but acuired only 100 units. This excess demand will have to be compensated by some external balancing power providers. The customer will be provided with the additional power required, which will be priced at the highest historic price that occurred for this product (timeslot) in the market plus the premium defined here."/>
            <g:textField name="balancingCostOver" value="${fieldValue(bean: competitionInstance, field: 'balancingCostOver')}"/>
            <g:message code="competition.currency"/>
          </td>
        </tr>

        <tr class="prop">
          <td valign="top" class="name">
            <label for="balancingCostUnder"><g:message code="competition.balancingCostUnder.label" default="Balancing Cost Under"/></label>
          </td>
          <td valign="top" class="value ${hasErrors(bean: competitionInstance, field: 'balancingCostUnder', 'errors')}">
            <g:helpBalloon title="${message(code: 'competition.balancingCostUnder.label')}" content="Here the price for excess supply is defined. E.g. a consumer has a real demand of 100 units but acuired 110 units. This is equal to an oversupply and has to be balanced by some external balancing power providers. The customer will lose the excess supply and additionally pays the balancing power premium defined here."/>
            <g:textField name="balancingCostUnder" value="${fieldValue(bean: competitionInstance, field: 'balancingCostUnder')}"/>
            <g:message code="competition.currency"/>
          </td>
        </tr>

        <tr class="prop">
          <td valign="top" class="name">
            <label for="simulationStartTime"><g:message code="competition.simulationStartTime.label" default="Simulation Start Time"/></label>
          </td>
          <td valign="top" class="value ${hasErrors(bean: competitionInstance, field: 'simulationStartTime', 'errors')}">
            <g:helpBalloon title="${message(code: 'competition.simulationStartTime.label')}" content="Start date and time of the competition. This is important if historic energy consumer and producer profiles should be reployed."/>
            <g:datePicker name="simulationStartTime" precision="hour" value="${competitionInstance?.simulationStartTime}"/>
          </td>
        </tr>

        <tr class="prop">
          <td valign="top" class="name">
            <g:message code="competition.enabled.label" default="Enabled"/>
          </td>
          <td valign="top" class="value">
            ${competitionInstance?.enabled}
          </td>
        </tr>

        <tr class="prop">
          <td valign="top" class="name">
            <g:message code="competition.current.label" default="Current"/>
          </td>
          <td valign="top" class="value">
            ${competitionInstance?.current}
          </td>
        </tr>

        <tr class="prop">
          <td valign="top" class="name">
            <g:message code="competition.competitionStatus.label" default="Competition Status"/>
          </td>
          <td valign="top" class="value">
            ${competitionInstance?.competitionStatus}
          </td>
        </tr>

        <tr class="prop">
          <td valign="top" class="name">
            <g:message code="competition.currentCompetitionTime.label" default="Current Competition Time"/>
          </td>
          <td valign="top" class="value">
            ${competitionInstance?.currentCompetitionTime}
          </td>
        </tr>

        <tr class="prop">
          <td valign="top" class="name">
            <g:message code="competition.dateCreated.label" default="Date Created"/>
          </td>
          <td valign="top" class="value">
            ${competitionInstance?.dateCreated}
          </td>
        </tr>

        <tr class="prop">
          <td valign="top" class="name">
            <g:message code="competition.lastUpdated.label" default="Last Updated"/>
          </td>
          <td valign="top" class="value">
            ${competitionInstance?.lastUpdated}
          </td>
        </tr>

        </tbody>
      </table>
    </div>
    <div class="buttons">
      <span class="button"><g:actionSubmit class="save" action="update" value="${message(code: 'default.button.update.label', default: 'Update')}" onclick="return confirm('${message(code: 'button.reset.competition.message', default: 'This will also reset the competition. Do you really want to continue?')}');"/></span>
      <span class="button"><g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');"/></span>
    </div>
  </g:form>
</div>
</body>
</html>
