
%{--
  - Copyright 2009-2010 the original author or authors.
  -
  - Licensed under the Apache License, Version 2.0 (the "License");
  - you may not use this file except in compliance with the License.
  - You may obtain a copy of the License at
  -
  -  http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an
  -
  - "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
  -
  - either express or implied. See the License for the specific language
  - governing permissions and limitations under the License.
  --}%

<%@ page import="edu.kit.iism.cdamarket.Competition" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'competition.label', default: 'Competition')}" />
        <title><g:message code="default.list.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="default.list.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="success">${flash.message}</div>
            </g:if>
            <g:if test="${flash.error}">
            <div class="notice">${flash.error}</div>
            </g:if>
            <div class="list">
                <table>
                    <thead>
                        <tr>
                        
                            <g:sortableColumn property="id" title="${message(code: 'competition.id.label', default: 'Id')}" />
                        
                            <g:sortableColumn property="name" title="${message(code: 'competition.name.label', default: 'Name')}" />
                        
                            <g:sortableColumn property="enabled" title="${message(code: 'competition.enabled.label', default: 'Enabled')}" />
                        
                            <g:sortableColumn property="competitionStatus" title="${message(code: 'competition.competitionStatus.label', default: 'Competition Status')}" />
                        
                            <g:sortableColumn property="description" title="${message(code: 'competition.description.label', default: 'Description')}" />
                        
                            <g:sortableColumn property="initialDuration" title="${message(code: 'competition.initialDuration.label', default: 'Initial Duration')}" />
                        
                        </tr>
                    </thead>
                    <tbody>
                    <g:each in="${competitionInstanceList}" status="i" var="competitionInstance">
                        <tr class="${(i % 2) == 0 ? 'odd' : 'even'}">
                        
                            <td><g:link action="show" id="${competitionInstance.id}">${fieldValue(bean: competitionInstance, field: "id")}</g:link></td>
                        
                            <td>${fieldValue(bean: competitionInstance, field: "name")}</td>
                        
                            <td class="status${competitionInstance.enabled?'Enabled':'Disabled'}"><g:formatBoolean boolean="${competitionInstance.enabled}" /></td>
                        
                            <td>${fieldValue(bean: competitionInstance, field: "competitionStatus")}</td>
                        
                            <td>${fieldValue(bean: competitionInstance, field: "description")}</td>
                        
                            <td>${fieldValue(bean: competitionInstance, field: "initialDuration")}</td>
                        
                        </tr>
                    </g:each>
                    </tbody>
                </table>
            </div>
            <div class="paginateButtons">
                <g:paginate total="${competitionInstanceTotal}" />
            </div>
        </div>
    </body>
</html>
