
%{--
  - Copyright 2009-2010 the original author or authors.
  -
  - Licensed under the Apache License, Version 2.0 (the "License");
  - you may not use this file except in compliance with the License.
  - You may obtain a copy of the License at
  -
  -  http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an
  -
  - "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
  -
  - either express or implied. See the License for the specific language
  - governing permissions and limitations under the License.
  --}%

<%@ page import="edu.kit.iism.cdamarket.Competition" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'competition.label', default: 'Competition')}" />
        <title><g:message code="default.show.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
            <span class="menuButton"><g:link class="list" action="list"><g:message code="default.list.label" args="[entityName]" /></g:link></span>
            <span class="menuButton"><g:link class="list" action="stats">Connection Stats</g:link></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="default.show.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="success">${flash.message}</div>
            </g:if>
            <g:if test="${flash.error}">
            <div class="notice">${flash.error}</div>
            </g:if>
            <div class="dialog">
                <table>
                    <tbody>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="competition.id.label" default="Id" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: competitionInstance, field: "id")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="competition.name.label" default="Name" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: competitionInstance, field: "name")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="competition.enabled.label" default="Enabled" /></td>
                            
                            <td valign="top" class="value"><g:formatBoolean boolean="${competitionInstance?.enabled}" /></td>
                            
                        </tr>

                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="competition.current.label" default="Current" /></td>

                            <td valign="top" class="value"><g:formatBoolean boolean="${competitionInstance?.current}" /></td>

                        </tr>

                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="competition.currentCompetitionTime.label" default="Current Competition Time" /></td>

                            <td valign="top" class="value"><g:formatDate date="${competitionInstance?.currentCompetitionTime}" /></td>

                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="competition.competitionStatus.label" default="Competition Status" /></td>
                            
                            <td valign="top" class="value">${competitionInstance?.competitionStatus?.encodeAsHTML()}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="competition.description.label" default="Description" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: competitionInstance, field: "description")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="competition.initialDuration.label" default="Initial Duration" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: competitionInstance, field: "initialDuration")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="competition.durationBetweenShifts.label" default="Duration Between Shifts" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: competitionInstance, field: "durationBetweenShifts")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="competition.timeslotLength.label" default="Timeslot Length" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: competitionInstance, field: "timeslotLength")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="competition.timeslotsOverall.label" default="Timeslots Overall" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: competitionInstance, field: "timeslotsOverall")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="competition.timeslotsOpen.label" default="Timeslots Open" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: competitionInstance, field: "timeslotsOpen")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="competition.deactivateTimeslotsAhead.label" default="Deactivate Timeslots Ahead" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: competitionInstance, field: "deactivateTimeslotsAhead")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="competition.simulationStartTime.label" default="Simulation Start Time" /></td>
                            
                            <td valign="top" class="value"><g:formatDate date="${competitionInstance?.simulationStartTime}" /></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="competition.participantCount.label" default="Participant Count" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: competitionInstance, field: "participantCount")}</td>
                            
                        </tr>


                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="competition.balancingCostOver.label" default="Balancing Cost Over" /></td>

                            <td valign="top" class="value">${fieldValue(bean: competitionInstance, field: "balancingCostOver")}</td>

                        </tr>

                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="competition.balancingCostUnder.label" default="Balancing Cost Under" /></td>

                            <td valign="top" class="value">${fieldValue(bean: competitionInstance, field: "balancingCostUnder")}</td>

                        </tr>

                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="competition.dateCreated.label" default="Date Created" /></td>
                            
                            <td valign="top" class="value"><g:formatDate date="${competitionInstance?.dateCreated}" /></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="competition.lastUpdated.label" default="Last Updated" /></td>
                            
                            <td valign="top" class="value"><g:formatDate date="${competitionInstance?.lastUpdated}" /></td>
                            
                        </tr>

                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="competition.participants.status.label" default="Participant Status" /></td>

                            <td valign="top" class="value"><g:participantReadyList competition="${competitionInstance}" /></td>

                        </tr>
                    
                    </tbody>
                </table>
            </div>
            <div class="buttons">
                <g:form>
                    <g:hiddenField name="id" value="${competitionInstance?.id}" />
                    <span class="button"><g:actionSubmit class="start" action="start" value="${message(code: 'button.start.label', default: 'Start')}" onclick="return confirm('${message(code: 'button.start.competition.message', default: 'Do you really want to start the competition?')}');" /></span>
                    <span class="button"><g:actionSubmit class="stop" action="stop" value="${message(code: 'button.stop.label', default: 'Stop')}" onclick="return confirm('${message(code: 'button.start.competition.message', default: 'Do you really want to stop the competition?')}');" /></span>
                    <span class="button"><g:actionSubmit class="reset" action="reset" value="${message(code: 'button.reset.label', default: 'Reset')}"  onclick="return confirm('${message(code: 'button.start.competition.message', default: 'Do you really want to completely reset the competition and all corresponding data?')}');" /></span>
                    <span class="button"><g:actionSubmit class="edit" action="edit" value="${message(code: 'default.button.edit.label', default: 'Edit')}" /></span>
                    <span class="button"><g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" /></span>
                </g:form>
            </div>
        </div>
    </body>
</html>
