
%{--
  - Copyright 2009-2010 the original author or authors.
  -
  - Licensed under the Apache License, Version 2.0 (the "License");
  - you may not use this file except in compliance with the License.
  - You may obtain a copy of the License at
  -
  -  http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an
  -
  - "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
  -
  - either express or implied. See the License for the specific language
  - governing permissions and limitations under the License.
  --}%

<%@ page import="edu.kit.iism.cdamarket.DepotPosition" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'depotPosition.label', default: 'DepotPosition')}" />
        <title><g:message code="default.list.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="default.list.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="success">${flash.message}</div>
            </g:if>
            <div class="list">
                <table>
                    <thead>
                        <tr>
                        
                            <g:sortableColumn property="id" title="${message(code: 'depotPosition.id', default: 'Id')}" />

                            <g:sortableColumn property="person" title="${message(code: 'depotPosition.person.label', default: 'Person')}" />
                   	    
                            <g:sortableColumn property="product" title="${message(code: 'depotPosition.product.label', default: 'Product')}" />

                            <g:sortableColumn property="change" title="${message(code: 'depotPosition.change.label', default: 'Change')}" />
                        
                            <g:sortableColumn property="balance" title="${message(code: 'depotPosition.balance.label', default: 'Balance')}" />
                        
                            <g:sortableColumn property="description" title="${message(code: 'depotPosition.description.label', default: 'Description')}" />
                        
                            <g:sortableColumn property="dateCreated" title="${message(code: 'depotPosition.dateCreated.label', default: 'Date Created')}" />
                        
                        </tr>
                    </thead>
                    <tbody>
                    <g:each in="${depotPositionInstanceList}" status="i" var="depotPositionInstance">
                        <tr class="${(i % 2) == 0 ? 'odd' : 'even'}">
                        
                            <td><g:link action="show" id="${depotPositionInstance.id}">${fieldValue(bean: depotPositionInstance, field: "id")}</g:link></td>
                        
                            <td>${fieldValue(bean: depotPositionInstance, field: "person")}</td>
                        
                            <td>${fieldValue(bean: depotPositionInstance, field: "product")}</td>

                            <td>${fieldValue(bean: depotPositionInstance, field: "change")}</td>
                        
                            <td>${fieldValue(bean: depotPositionInstance, field: "balance")}</td>
                        
                            <td>${fieldValue(bean: depotPositionInstance, field: "description")}</td>
                        
                            <td><g:formatDate date="${depotPositionInstance.dateCreated}" /></td>
                        
                        </tr>
                    </g:each>
                    </tbody>
                </table>
            </div>
            <div class="paginateButtons">
                <g:paginate total="${depotPositionInstanceTotal}" />
            </div>
        </div>
    </body>
</html>
