
%{--
  - Copyright 2009-2010 the original author or authors.
  -
  - Licensed under the Apache License, Version 2.0 (the "License");
  - you may not use this file except in compliance with the License.
  - You may obtain a copy of the License at
  -
  -  http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an
  -
  - "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
  -
  - either express or implied. See the License for the specific language
  - governing permissions and limitations under the License.
  --}%

<%@ page import="edu.kit.iism.cdamarket.Forecast" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'forecast.label', default: 'Forecast')}" />
        <title><g:message code="default.create.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
            <span class="menuButton"><g:link class="list" action="list"><g:message code="default.list.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="default.create.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="success">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${forecastInstance}">
            <div class="errors">
                <g:renderErrors bean="${forecastInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:form action="save" method="post" >
                <div class="dialog">
                    <table>
                        <tbody>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="competition"><g:message code="forecast.competition.label" default="Competition" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: forecastInstance, field: 'competition', 'errors')}">
                                    <g:select name="competition.id" from="${edu.kit.iism.cdamarket.Competition.list()}" optionKey="id" value="${forecastInstance?.competition?.id}" noSelection="['null': '']" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="person"><g:message code="forecast.person.label" default="Person" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: forecastInstance, field: 'person', 'errors')}">
                                    <g:select name="person.id" from="${edu.kit.iism.cdamarket.Person.list()}" optionKey="id" value="${forecastInstance?.person?.id}"  />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="product"><g:message code="forecast.product.label" default="Product" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: forecastInstance, field: 'product', 'errors')}">
                                    <g:select name="product.id" from="${edu.kit.iism.cdamarket.Product.list()}" optionKey="id" value="${forecastInstance?.product?.id}"  />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="competitionTime"><g:message code="forecast.competitionTime.label" default="Competition Time" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: forecastInstance, field: 'competitionTime', 'errors')}">
                                    <g:datePicker name="competitionTime" precision="day" value="${forecastInstance?.competitionTime}"  />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="forecastValue"><g:message code="forecast.forecastValue.label" default="Forecast Value" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: forecastInstance, field: 'forecastValue', 'errors')}">
                                    <g:textField name="forecastValue" value="${fieldValue(bean: forecastInstance, field: 'forecastValue')}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="trueValue"><g:message code="forecast.trueValue.label" default="True Value" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: forecastInstance, field: 'trueValue', 'errors')}">
                                    <g:textField name="trueValue" value="${fieldValue(bean: forecastInstance, field: 'trueValue')}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="idGeneratorService"><g:message code="forecast.idGeneratorService.label" default="Id Generator Service" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: forecastInstance, field: 'idGeneratorService', 'errors')}">
                                    
                                </td>
                            </tr>
                        
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:submitButton name="create" class="save" value="${message(code: 'default.button.create.label', default: 'Create')}" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
