
%{--
  - Copyright 2009-2010 the original author or authors.
  -
  - Licensed under the Apache License, Version 2.0 (the "License");
  - you may not use this file except in compliance with the License.
  - You may obtain a copy of the License at
  -
  -  http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an
  -
  - "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
  -
  - either express or implied. See the License for the specific language
  - governing permissions and limitations under the License.
  --}%

<%@ page import="edu.kit.iism.cdamarket.Forecast" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'forecast.label', default: 'Forecast')}" />
        <title><g:message code="default.list.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="default.list.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="success">${flash.message}</div>
            </g:if>
            <div class="list">
                <table>
                    <thead>
                        <tr>
                        
                            <g:sortableColumn property="id" title="${message(code: 'forecast.id.label', default: 'Id')}" />
                   	    
                            <g:sortableColumn property="competition.id" title="${message(code: 'forecast.competition.label', default: 'Competition')}" />

                            <g:sortableColumn property="person.id" title="${message(code: 'forecast.person.label', default: 'Person')}" />

                            <g:sortableColumn property="product.id" title="${message(code: 'forecast.product.label', default: 'Product')}" />
                   	    
                            <g:sortableColumn property="competitionTime" title="${message(code: 'forecast.competitionTime.label', default: 'Competition Time')}" />
                        
                            <g:sortableColumn property="forecastValue" title="${message(code: 'forecast.forecastValue.label', default: 'Forecast Value')}" />

                            <g:sortableColumn property="trueValue" title="${message(code: 'forecast.trueValue.label', default: 'True Value')}" />

                        </tr>
                    </thead>
                    <tbody>
                    <g:each in="${forecastInstanceList}" status="i" var="forecastInstance">
                        <tr class="${(i % 2) == 0 ? 'odd' : 'even'}">
                        
                            <td><g:link action="show" id="${forecastInstance.id}">${fieldValue(bean: forecastInstance, field: "id")}</g:link></td>
                        
                            <td>${fieldValue(bean: forecastInstance, field: "competition")}</td>
                        
                            <td>${fieldValue(bean: forecastInstance, field: "person")}</td>
                        
                            <td>${fieldValue(bean: forecastInstance, field: "product")}</td>
                        
                            <td><g:formatDate date="${forecastInstance.competitionTime}" /></td>
                        
                            <td>${fieldValue(bean: forecastInstance, field: "forecastValue")}</td>

                          <td>${fieldValue(bean: forecastInstance, field: "trueValue")}</td>

                        </tr>
                    </g:each>
                    </tbody>
                </table>
            </div>
            <div class="paginateButtons">
                <g:paginate total="${forecastInstanceTotal}" />
            </div>
        </div>
    </body>
</html>
