%{--
  - Copyright 2009-2010 the original author or authors.
  -
  - Licensed under the Apache License, Version 2.0 (the "License");
  - you may not use this file except in compliance with the License.
  - You may obtain a copy of the License at
  -
  -  http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an
  -
  - "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
  -
  - either express or implied. See the License for the specific language
  - governing permissions and limitations under the License.
  --}%

<%@ page import="edu.kit.iism.cdamarket.CompetitionStatus; edu.kit.iism.cdamarket.Competition" %>
<html>
<head>
  <title>Welcome to TAC Energy</title>
  <meta name="layout" content="main"/>
</head>
<body>

<div class="body">
  <div class="span-20 prepend-top"><hr/></div>

  <g:ifCompetitionRunning>
    <div id="currentCompetition" class="span-20 append-bottom last">
      <g:running/>
    </div>
  </g:ifCompetitionRunning>
  <g:ifCompetitionNotRunning>
    <div id="nextCompetitions" class="span-20 append-bottom last">
      <div>
        <div class="span-9 column">
          <h2>Upcoming Competitions</h2>
          <g:nextCompetitions/>
        </div>
        <div class="span-10 last">
          <h2>Historic Data</h2>
          <div>Interested in previous results? Our archive provides you with
          detailed data from previous competitions. Just check it out!</div>
          <div class="span-4 column">
            <div class="competition"><g:link controller="competition">Competitions</g:link></div>
            <div class="taq"><g:link controller="transactionLog">Quotes &amp; Trades</g:link></div>
            <div class="orders"><g:link controller="shout">Orders</g:link></div>
            <div class="orderbooks"><g:link controller="orderbook">Orderbooks</g:link></div>
          </div>
          <div class="prepend-1 span-4 last">
            <div class="products"><g:link controller="product">Products</g:link></div>
            <div class="cash"><g:link controller="cashPosition">Cash Acounts</g:link></div>
            <div class="depots"><g:link controller="depotPosition">User Depots</g:link></div>
            <div class="forecasts"><g:link controller="forecast">User Forecasts</g:link></div>
          </div>
        </div>
      </div>
    </div>
  </g:ifCompetitionNotRunning>

  <div class="span-20 prepend-top"><hr/></div>

  <g:ifAllGranted role="ROLE_ADMIN">
    <div class="span-9 prepend-1 prepend-top last">
      <h2>Admin Area</h2>
      <ul>
        <li><g:link controller="person">Manage users</g:link></li>
        <li><g:link controller="role">Manage user roles</g:link></li>
        <li><g:link controller="runtimeLogging">Adjust Logging</g:link></li>
      </ul>
    </div>
  </g:ifAllGranted>
  <g:ifNotGranted role="ROLE_ADMIN">
    <div class="span-9 column prepend-top">
      <h2>Community</h2>
      <div>
        <strong>Get involved!</strong> Grab the source code for the <a href="https://code.launchpad.net/tacenergy" target="_blank">TAC Energy server</a>
        and for the <a href="https://code.launchpad.net/tacenergydemo" target="_blank">TAC Energy Demo Client</a>
        from Launchpad or download the latest binaries from our <a href="http://ibwhudson.iw.uni-karlsruhe.de" target="_blank">CI Server</a>.
        Read the <g:link url="tutorial.gsp">quick start tutorial</g:link> and the <a href="http://www.tacenergy.org/docs/latest/manual/index.html" target="_blank">reference documentation</a>.
      </div>
      <div>
        Report issues on the <a href="https://bugs.launchpad.net/tacenergy" target="_blank">TAC Energy server issue
        tracker</a> or <a href="https://bugs.launchpad.net/tacenergydemo" target="_blank">TAC Energy Client issue
        tracker</a> respectively.
      </div>
      <div>
        Browse and subsribe to the <g:link url="user-list.gsp">TAC Energy user mailing list</g:link> and
        <g:link url="developer-list.gsp">TAC Energy developer mailing list</g:link>.
      </div>
      <div>
        In order to run realistic simulations we always need fresh data. If you can provide us with (anonymized) historic time series
        of energy consumers (e.g. metering data from a household at a granularity level of 15 or 60 minutes) or energy producers (e.g. time series from
        a photovoltaic installation or a wind turbine - same granularity) please consider <a href="http://ibwmarkets.iw.uni-karlsruhe.de/ps/" target="_blank">contributing this data</a>!
      </div>
    </div>
    <div class="span-9 prepend-1 prepend-top last">
      <h2>Three steps to get started</h2>
      <div>
        <p>
          Participating is easy! Try it yourself:
        </p>
        <h3>1. <a href="http://ibwhudson.iw.uni-karlsruhe.de/job/tacenergy_demoagent/lastStableBuild/" target="_blank">Download</a> latest demo agent.</h3>
        <h3>2. <g:link url="tutorial.gsp">Read</g:link> the quick start tutorial.</h3>
        <h3>3. <g:link url="register.gsp">Register</g:link> for a competition.</h3>
      </div>
    </div>
  </g:ifNotGranted>
</div>
</body>
</html>