<html>
<head>
  <title>%{--
  - Copyright 2009-2010 the original author or authors.
  -
  - Licensed under the Apache License, Version 2.0 (the "License");
  - you may not use this file except in compliance with the License.
  - You may obtain a copy of the License at
  -
  -  http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an
  -
  - "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
  -
  - either express or implied. See the License for the specific language
  - governing permissions and limitations under the License.
  --}%

<g:layoutTitle default="TAC Energy"/></title>
  <blueprint:resources plugins="fancy-type, buttons"/>
  <link rel="stylesheet" href="${resource(dir: 'css', file: 'main.css')}"/>
  <link rel="shortcut icon" href="${resource(dir: 'images', file: 'favicon.ico')}" type="image/x-icon"/>
  <g:layoutHead/>
  <g:javascript library="application"/>
</head>
<body>
<div id="spinner" class="spinner" style="display:none;">
  <img src="${resource(dir: 'images', file: 'spinner.gif')}" alt="Spinner"/>
</div>
<div class="container">
  <div id="top" class="span-24 last">
    <div id="logo" class="prepend-1 span-5">
      <a href="http://ibwmarkets.iw.uni-karlsruhe.de/tacenergy"><img src="${resource(dir: 'images', file: 'tac_energy_logo.png')}" alt="TAC Energy"/></a>
    </div>
    <div id="userlogin" class="prepend-9 span-5 append-4 last">
      <g:isLoggedIn>
        <g:link controller="person" action="show" id="${loggedInUserInfo(field:'id')}"><g:loggedInUserInfo field="userRealName"><g:message code="auth.guest"/></g:loggedInUserInfo></g:link> | <g:link controller="logout"><g:message code="auth.logout"/></g:link>
      </g:isLoggedIn>
      <g:isNotLoggedIn>
        <g:message code="auth.welcome.anonymous"/> <g:link controller="login" action="auth"><g:message code="auth.login"/></g:link>
      </g:isNotLoggedIn>
    </div>
  </div>
  <div id="bg" class="prepend-2 span-20 append-2 last">
    <g:layoutBody/>
  </div>
  <div id="footer" class="prepend-2 span-20 append-2 last small">
    <hr/>
    System Time: ${new Date()} &middot; System Version: <a href="https://launchpad.net/tacenergy" target="_blank"><g:meta name="app.version"/></a>
  </div>
  <div id="disclaimer" class="prepend-1 span-21 append-2 last small">
    <div id="copyright" class="quiet span-10 column">
      <div>&copy; 2007-2010 Institute of Information Systems and Management (IISM), KIT in cooperation with RSM Erasmus University and University of Minnesota.</div>
      <div><a href="${createLink(uri: '/terms.gsp')}">Terms of Use</a> | <a href="${createLink(uri: '/contact.gsp')}">Contact</a> | <a href="${createLink(uri: '/disclaimer.gsp')}">Disclaimer</a> | <a href="http://www.tacenergy.org/docs/latest/manual/index.html">Documentation</a></div>
    </div>
    <div class="prepend-1 span-9 push-1 last">
      <a href="http://www.im.uni-karlsruhe.de" target="_blank"><img src="${resource(dir: 'images', file: 'logo_kit.jpg')}" alt="Insitute of Information Systems and Management, Karlsruhe Institute of Technology"/></a>
      &nbsp;
      <a href="http://www.erim.eur.nl/ERIM/Research/Centres/Learning_Agents" target="_blank"><img src="${resource(dir: 'images', file: 'logo_rsm.jpg')}" alt="Learning Agents Research Group, RSM Erasmus University"/></a>
      &nbsp;
      <a href="http://tac.cs.umn.edu/" target="_blank"><img src="${resource(dir: 'images', file: 'logo_umn.jpg')}" alt="Department of Computer Science, University of Minnesota"/></a>
    </div>
  </div>
</div>
</body>
</html>