%{--
  - Copyright 2009-2010 the original author or authors.
  -
  - Licensed under the Apache License, Version 2.0 (the "License");
  - you may not use this file except in compliance with the License.
  - You may obtain a copy of the License at
  -
  -  http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an
  -
  - "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
  -
  - either express or implied. See the License for the specific language
  - governing permissions and limitations under the License.
  --}%

<%@ page import="edu.kit.iism.cdamarket.Orderbook" %>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
  <meta name="layout" content="main"/>
  <g:set var="entityName" value="${message(code: 'orderbook.label', default: 'Orderbook')}"/>
  <title>Orderbook List</title>
</head>
<body>
<div class="nav">
  <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
  <span class="menuButton"><g:link class="list" controller="shout" action="list">Shout Liste</g:link></span>
  <span class="menuButton"><g:link class="list" controller="transactionLog" action="quotes">Quote Liste</g:link></span>
  <span class="menuButton"><g:link class="list" controller="transactionLog" action="trades">Trade Liste</g:link></span>
</div>
<div class="body">
  <div class="span-15">
    <h2>Orderbook List</h2>
    <g:if test="${flash.message}">
      <div class="success">${flash.message}</div>
    </g:if>
    <g:if test="${flash.error}">
      <div class="notice">${flash.error}</div>
    </g:if>
    <div class="list">

      <table>
        <thead>
        <tr>
          <th>${message(code: 'orderbook.id.label', default: 'Id')}</th>
          <th>${message(code: 'orderbook.id.product', default: 'Product')}</th>
          <th>${message(code: 'orderbook.dateExecuted.label', default: 'Last change')}</th>
          <th>${message(code: 'orderbook.transactionID.label', default: 'Transaction ID')}</th>
        </tr>
        </thead>
        <tbody>
        <g:each in="${productInstanceList}" status="j" var="productInstance">
          <g:if test="${productInstance.orderbooks}">
            <g:if test="${history}">
              <g:if test="${j > 0}">
                <tr>
                  <td colspan="4"><hr/></td>
                </tr>
              </g:if>
              <g:each in="${productInstance.orderbooks}" status="i" var="orderbookInstance">
                <tr class="${(i % 2) == 0 ? 'odd' : 'even'}" onclick='window.location = "${createLink(action: (flash.history ? "show" : "latest"), id: (flash.history ? orderbookInstance.id : orderbookInstance.product.id))}"'>
                  <td>${fieldValue(bean: orderbookInstance, field: "id")}</td>
                  <td>${productInstance}</td>
                  <td><g:formatDate date="${orderbookInstance.dateExecuted}"/></td>
                  <td>${fieldValue(bean: orderbookInstance, field: "transactionID")}</td>
                </tr>
              </g:each>
            </g:if>
            <g:else>
              <g:set var="orderbookInstance" value="${productInstance.orderbooks.first()}"/>
              <tr class="odd" onclick='window.location = "${createLink(action: (flash.history ? "show" : "latest"), id: (flash.history ? orderbookInstance.id : orderbookInstance.product.id))}"'>
                <td>${fieldValue(bean: orderbookInstance, field: "id")}</td>
                <td>${productInstance}</td>
                <td><g:formatDate date="${orderbookInstance.dateExecuted}"/></td>
                <td>${fieldValue(bean: orderbookInstance, field: "transactionID")}</td>
              </tr>
            </g:else>

          </g:if>

        </g:each>
        </tbody>
      </table>
    </div>
  </div>
  <div class="span-5 last">
    <h3>Filters</h3>
    <g:form action="list" method="get">
      <div>
        <label for="product"><g:message code="shout.product.label" default="Product"/></label>
        <g:select name="product" from="${edu.kit.iism.cdamarket.Product.list()}" optionKey="id" value="${flash?.product}" noSelection="['':'']"/>
        <label for="history"><g:message code="orderbook.history.label" default="Show History:"/></label>
        <g:checkBox name="history" value="${flash.history}"/>
      </div>
      <div class="buttons">
        <span class="button"><input class="save" type="submit" value="Search"/></span>
        <span class="button"><g:link class="delete" action="list">Clear Search</g:link></span>
      </div>
    </g:form>
  </div>
</div>
</body>
</html>
