%{--
  - Copyright 2009-2010 the original author or authors.
  -
  - Licensed under the Apache License, Version 2.0 (the "License");
  - you may not use this file except in compliance with the License.
  - You may obtain a copy of the License at
  -
  -  http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an
  -
  - "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
  -
  - either express or implied. See the License for the specific language
  - governing permissions and limitations under the License.
  --}%

<%@ page import="edu.kit.iism.cdamarket.Orderbook" %>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
  <meta name="layout" content="main"/>
  <g:set var="entityName" value="${message(code: 'orderbook.label', default: 'Orderbook')}"/>
  <title><g:message code="default.show.label" args="[entityName]"/></title>
</head>
<body>
<div class="nav">
  <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
  <span class="menuButton"><g:link class="list" action="list"><g:message code="default.list.label" args="[entityName]"/></g:link></span>
  <span class="menuButton"><g:link class="list" controller="shout" action="list">Shout Liste</g:link></span>
  <span class="menuButton"><g:link class="list" controller="transactionLog" action="quotes">Quote Liste</g:link></span>
  <span class="menuButton"><g:link class="list" controller="transactionLog" action="trades">Trade Liste</g:link></span>
</div>
<div class="body">
  <h1><g:message code="default.show.label" args="[entityName]"/></h1>
  <g:if test="${flash.message}">
    <div class="success">${flash.message}</div>
  </g:if>
  <g:if test="${flash.error}">
      <div class="notice">${flash.error}</div>
    </g:if>
  <div class="dialog">
    <div class="orderbook">
      <div class="orderbook_title"><g:link controller="product" action="show" id="${orderbookInstance?.product?.id}">${orderbookInstance?.product?.encodeAsHTML()}</g:link></div>
      <div class="orderbook_subtitle">Last change: <g:formatDate date="${orderbookInstance?.dateExecuted}" /></div>
      <div class="orderbook_buy">
        <h1>BID</h1>
        <div class="oq"><strong>Quantity</strong></div><div class="op"><strong>Price</strong></div>
        <div class="oq">${orderbookInstance.bidSize1?:''}</div><div class="op"><g:formatNumber number="${orderbookInstance.bid1}" format="###,##0.00 EUR"/></div>
        <div class="oq">${orderbookInstance.bidSize2?:''}</div><div class="op"><g:formatNumber number="${orderbookInstance.bid2}" format="###,##0.00 EUR"/></div>
        <div class="oq">${orderbookInstance.bidSize3?:''}</div><div class="op"><g:formatNumber number="${orderbookInstance.bid3}" format="###,##0.00 EUR"/></div>
        <div class="oq">${orderbookInstance.bidSize4?:''}</div><div class="op"><g:formatNumber number="${orderbookInstance.bid4}" format="###,##0.00 EUR"/></div>
        <div class="oq">${orderbookInstance.bidSize5?:''}</div><div class="op"><g:formatNumber number="${orderbookInstance.bid5}" format="###,##0.00 EUR"/></div>
        <div class="oq">${orderbookInstance.bidSize6?:''}</div><div class="op"><g:formatNumber number="${orderbookInstance.bid6}" format="###,##0.00 EUR"/></div>
        <div class="oq">${orderbookInstance.bidSize7?:''}</div><div class="op"><g:formatNumber number="${orderbookInstance.bid7}" format="###,##0.00 EUR"/></div>
        <div class="oq">${orderbookInstance.bidSize8?:''}</div><div class="op"><g:formatNumber number="${orderbookInstance.bid8}" format="###,##0.00 EUR"/></div>
        <div class="oq">${orderbookInstance.bidSize9?:''}</div><div class="op"><g:formatNumber number="${orderbookInstance.bid9}" format="###,##0.00 EUR"/></div>
        <div class="oq">${orderbookInstance.bidSize10?:''}</div><div class="op"><g:formatNumber number="${orderbookInstance.bid10}" format="###,##0.00 EUR"/></div>
      </div>
      <div class="orderbook_sell">
        <h1>ASK</h1>
        <div class="oq"><strong>Price</strong></div><div class="op"><strong>Quantity</strong></div>
        <div class="oq"><g:formatNumber number="${orderbookInstance.ask1}" format="###,##0.00 EUR"/></div><div class="op">${orderbookInstance.askSize1?:''}</div>
        <div class="oq"><g:formatNumber number="${orderbookInstance.ask2}" format="###,##0.00 EUR"/></div><div class="op">${orderbookInstance.askSize2?:''}</div>
        <div class="oq"><g:formatNumber number="${orderbookInstance.ask3}" format="###,##0.00 EUR"/></div><div class="op">${orderbookInstance.askSize3?:''}</div>
        <div class="oq"><g:formatNumber number="${orderbookInstance.ask4}" format="###,##0.00 EUR"/></div><div class="op">${orderbookInstance.askSize4?:''}</div>
        <div class="oq"><g:formatNumber number="${orderbookInstance.ask5}" format="###,##0.00 EUR"/></div><div class="op">${orderbookInstance.askSize5?:''}</div>
        <div class="oq"><g:formatNumber number="${orderbookInstance.ask6}" format="###,##0.00 EUR"/></div><div class="op">${orderbookInstance.askSize6?:''}</div>
        <div class="oq"><g:formatNumber number="${orderbookInstance.ask7}" format="###,##0.00 EUR"/></div><div class="op">${orderbookInstance.askSize7?:''}</div>
        <div class="oq"><g:formatNumber number="${orderbookInstance.ask8}" format="###,##0.00 EUR"/></div><div class="op">${orderbookInstance.askSize8?:''}</div>
        <div class="oq"><g:formatNumber number="${orderbookInstance.ask9}" format="###,##0.00 EUR"/></div><div class="op">${orderbookInstance.askSize9?:''}</div>
        <div class="oq"><g:formatNumber number="${orderbookInstance.ask10}" format="###,##0.00 EUR"/></div><div class="op">${orderbookInstance.askSize10?:''}</div>
      </div>
    </div>
  </div>
</div>
</body>
</html>
