
%{--
  - Copyright 2009-2010 the original author or authors.
  -
  - Licensed under the Apache License, Version 2.0 (the "License");
  - you may not use this file except in compliance with the License.
  - You may obtain a copy of the License at
  -
  -  http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an
  -
  - "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
  -
  - either express or implied. See the License for the specific language
  - governing permissions and limitations under the License.
  --}%

<%@ page import="edu.kit.iism.cdamarket.Orderbook" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'orderbook.label', default: 'Orderbook')}" />
        <title><g:message code="default.show.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
            <span class="menuButton"><g:link class="list" action="list"><g:message code="default.list.label" args="[entityName]" /></g:link></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="default.show.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="success">${flash.message}</div>
            </g:if>
            <g:if test="${flash.error}">
              <div class="notice">${flash.error}</div>
            </g:if>
            <div class="dialog">
                <table>
                    <tbody>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.id.label" default="Id" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "id")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.dateExecuted.label" default="Date Executed" /></td>
                            
                            <td valign="top" class="value"><g:formatDate date="${orderbookInstance?.dateExecuted}" /></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.transactionID.label" default="Transaction ID" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "transactionID")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.product.label" default="Product" /></td>
                            
                            <td valign="top" class="value"><g:link controller="product" action="show" id="${orderbookInstance?.product?.id}">${orderbookInstance?.product?.encodeAsHTML()}</g:link></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.ask1.label" default="Ask1" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "ask1")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.ask2.label" default="Ask2" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "ask2")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.ask3.label" default="Ask3" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "ask3")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.ask4.label" default="Ask4" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "ask4")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.ask5.label" default="Ask5" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "ask5")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.ask6.label" default="Ask6" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "ask6")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.ask7.label" default="Ask7" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "ask7")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.ask8.label" default="Ask8" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "ask8")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.ask9.label" default="Ask9" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "ask9")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.ask10.label" default="Ask10" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "ask10")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.bid1.label" default="Bid1" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "bid1")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.bid2.label" default="Bid2" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "bid2")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.bid3.label" default="Bid3" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "bid3")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.bid4.label" default="Bid4" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "bid4")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.bid5.label" default="Bid5" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "bid5")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.bid6.label" default="Bid6" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "bid6")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.bid7.label" default="Bid7" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "bid7")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.bid8.label" default="Bid8" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "bid8")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.bid9.label" default="Bid9" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "bid9")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.bid10.label" default="Bid10" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "bid10")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.bidSize7.label" default="Bid Size7" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "bidSize7")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.bidSize6.label" default="Bid Size6" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "bidSize6")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.bidSize9.label" default="Bid Size9" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "bidSize9")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.bidSize8.label" default="Bid Size8" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "bidSize8")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.askSize10.label" default="Ask Size10" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "askSize10")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.bidSize1.label" default="Bid Size1" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "bidSize1")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.bidSize3.label" default="Bid Size3" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "bidSize3")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.bidSize2.label" default="Bid Size2" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "bidSize2")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.bidSize5.label" default="Bid Size5" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "bidSize5")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.bidSize4.label" default="Bid Size4" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "bidSize4")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.bidSize10.label" default="Bid Size10" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "bidSize10")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.orderbookArray.label" default="Orderbook Array" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "orderbookArray")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.askSize2.label" default="Ask Size2" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "askSize2")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.askSize3.label" default="Ask Size3" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "askSize3")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.askSize4.label" default="Ask Size4" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "askSize4")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.askSize5.label" default="Ask Size5" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "askSize5")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.askSize6.label" default="Ask Size6" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "askSize6")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.askSize7.label" default="Ask Size7" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "askSize7")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.askSize8.label" default="Ask Size8" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "askSize8")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.askSize9.label" default="Ask Size9" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "askSize9")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="orderbook.askSize1.label" default="Ask Size1" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: orderbookInstance, field: "askSize1")}</td>
                            
                        </tr>
                    
                    </tbody>
                </table>
            </div>
            <div class="buttons">
                <g:form>
                    <g:hiddenField name="id" value="${orderbookInstance?.id}" />
                    <span class="button"><g:actionSubmit class="edit" action="edit" value="${message(code: 'default.button.edit.label', default: 'Edit')}" /></span>
                    <span class="button"><g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" /></span>
                </g:form>
            </div>
        </div>
    </body>
</html>
