
%{--
  - Copyright 2009-2010 the original author or authors.
  -
  - Licensed under the Apache License, Version 2.0 (the "License");
  - you may not use this file except in compliance with the License.
  - You may obtain a copy of the License at
  -
  -  http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an
  -
  - "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
  -
  - either express or implied. See the License for the specific language
  - governing permissions and limitations under the License.
  --}%

<%@ page import="edu.kit.iism.cdamarket.Product" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'product.label', default: 'Product')}" />
        <title><g:message code="default.edit.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
            <span class="menuButton"><g:link class="list" action="list"><g:message code="default.list.label" args="[entityName]" /></g:link></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="default.edit.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="success">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${productInstance}">
            <div class="errors">
                <g:renderErrors bean="${productInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:form method="post" >
                <g:hiddenField name="id" value="${productInstance?.id}" />
                <g:hiddenField name="version" value="${productInstance?.version}" />
                <div class="dialog">
                    <table>
                        <tbody>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="competition"><g:message code="product.competition.label" default="Competition" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: productInstance, field: 'competition', 'errors')}">
                                    <g:select name="competition.id" from="${edu.kit.iism.cdamarket.Competition.list()}" optionKey="id" value="${productInstance?.competition?.id}" noSelection="['null': '']" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="name"><g:message code="product.name.label" default="Name" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: productInstance, field: 'name', 'errors')}">
                                    <g:textField name="name" value="${productInstance?.name}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="startDateTime"><g:message code="product.startDateTime.label" default="Start Date Time" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: productInstance, field: 'startDateTime', 'errors')}">
                                    <g:datePicker name="startDateTime" precision="day" value="${productInstance?.startDateTime}" noSelection="['': '']" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="endDateTime"><g:message code="product.endDateTime.label" default="End Date Time" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: productInstance, field: 'endDateTime', 'errors')}">
                                    <g:datePicker name="endDateTime" precision="day" value="${productInstance?.endDateTime}" noSelection="['': '']" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="current"><g:message code="product.current.label" default="Current" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: productInstance, field: 'current', 'errors')}">
                                    <g:checkBox name="current" value="${productInstance?.current}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="serialNumber"><g:message code="product.serialNumber.label" default="Serial Number" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: productInstance, field: 'serialNumber', 'errors')}">
                                    <g:textField name="serialNumber" value="${fieldValue(bean: productInstance, field: 'serialNumber')}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="enabled"><g:message code="product.enabled.label" default="Enabled" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: productInstance, field: 'enabled', 'errors')}">
                                    <g:checkBox name="enabled" value="${productInstance?.enabled}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="depotPosition"><g:message code="product.depotPosition.label" default="Depot Position" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: productInstance, field: 'depotPosition', 'errors')}">
                                    
<ul>
<g:each in="${productInstance?.depotPositions?}" var="d">
    <li><g:link controller="depotPosition" action="show" id="${d.id}">${d?.encodeAsHTML()}</g:link></li>
</g:each>
</ul>
<g:link controller="depotPosition" action="create" params="['product.id': productInstance?.id]">${message(code: 'default.add.label', args: [message(code: 'depotPosition.label', default: 'DepotPosition')])}</g:link>

                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="shouts"><g:message code="product.shouts.label" default="Shouts" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: productInstance, field: 'shouts', 'errors')}">
                                    
<ul>
<g:each in="${productInstance?.shouts?}" var="s">
    <li><g:link controller="shout" action="show" id="${s.id}">${s?.encodeAsHTML()}</g:link></li>
</g:each>
</ul>
<g:link controller="shout" action="create" params="['product.id': productInstance?.id]">${message(code: 'default.add.label', args: [message(code: 'shout.label', default: 'Shout')])}</g:link>

                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="orderbooks"><g:message code="product.orderbooks.label" default="Orderbooks" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: productInstance, field: 'orderbooks', 'errors')}">
                                    
<ul>
<g:each in="${productInstance?.orderbooks?}" var="o">
    <li><g:link controller="orderbook" action="show" id="${o.id}">${o?.encodeAsHTML()}</g:link></li>
</g:each>
</ul>
<g:link controller="orderbook" action="create" params="['product.id': productInstance?.id]">${message(code: 'default.add.label', args: [message(code: 'orderbook.label', default: 'Orderbook')])}</g:link>

                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="idGeneratorService"><g:message code="product.idGeneratorService.label" default="Id Generator Service" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: productInstance, field: 'idGeneratorService', 'errors')}">
                                    
                                </td>
                            </tr>
                        
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:actionSubmit class="save" action="update" value="${message(code: 'default.button.update.label', default: 'Update')}" /></span>
                    <span class="button"><g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
