%{--
  - Copyright 2009-2010 the original author or authors.
  -
  - Licensed under the Apache License, Version 2.0 (the "License");
  - you may not use this file except in compliance with the License.
  - You may obtain a copy of the License at
  -
  -  http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an
  -
  - "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
  -
  - either express or implied. See the License for the specific language
  - governing permissions and limitations under the License.
  --}%

<%@ page import="edu.kit.iism.cdamarket.Product; edu.kit.iism.cdamarket.Shout" %>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
  <meta name="layout" content="main"/>
  <g:set var="entityName" value="${message(code: 'shout.label', default: 'Shout')}"/>
  <title><g:message code="default.list.label" args="[entityName]"/></title>
</head>
<body>
<div class="nav">
  <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
  <span class="menuButton"><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]"/></g:link></span>
  <span class="menuButton"><g:link class="list" controller="orderbook" action="list">Orderbook Liste</g:link></span>
  <span class="menuButton"><g:link class="list" controller="transactionLog" action="quotes">Quote Liste</g:link></span>
  <span class="menuButton"><g:link class="list" controller="transactionLog" action="trades">Trade Liste</g:link></span>
</div>
<div class="body">

  <div class="span-15">
    <h1><g:message code="default.list.label" args="[entityName]"/></h1>
    <g:if test="${flash.message}">
      <div class="success">${flash.message}</div>
    </g:if>
    <div class="list">
      <table>
        <thead>
        <tr>

          <g:sortableColumn property="id" title="${message(code: 'shout.id.label', default: 'Id')}"/>

          <th><g:message code="shout.person.label" default="Person"/></th>

          <th><g:message code="shout.product.label" default="Product"/></th>

          <g:sortableColumn property="buySellIndicator" title="${message(code: 'shout.buySellIndicator.label', default: 'Buy Sell Indicator')}"/>

          <g:sortableColumn property="remainingQuantity" title="${message(code: 'shout.remainingQuantity.label', default: 'Remaining Quantity')}"/>

          <g:sortableColumn property="limitPrice" title="${message(code: 'shout.limitPrice.label', default: 'Limit Price')}"/>

          <g:sortableColumn property="modReasonCode" title="${message(code: 'shout.modReasonCode.label', default: 'modReasonCode')}"/>

          <g:sortableColumn property="outdated" title="${message(code: 'shout.outdated.label', default: 'outdated')}"/>

          <g:sortableColumn property="shoutID" title="${message(code: 'shout.shoutID.label', default: 'shoutID')}"/>

        </tr>
        </thead>
        <tbody>
        <g:each in="${shoutInstanceList}" status="i" var="shoutInstance">
          <tr class="${(i % 2) == 0 ? 'odd' : 'even'}" onclick='window.location = "${createLink(action: "show", id: shoutInstance.id)}"'>

            <td><g:link action="show" id="${shoutInstance.id}">${fieldValue(bean: shoutInstance, field: "id")}</g:link></td>

            <td>${fieldValue(bean: shoutInstance, field: "person")}</td>

            <td>${fieldValue(bean: shoutInstance, field: "product")}</td>

            <td>${fieldValue(bean: shoutInstance, field: "buySellIndicator")}</td>

            <td>${fieldValue(bean: shoutInstance, field: "remainingQuantity")}</td>

            <td>${fieldValue(bean: shoutInstance, field: "limitPrice")}</td>

            <td>${fieldValue(bean: shoutInstance, field: "modReasonCode")}</td>

            <td>${fieldValue(bean: shoutInstance, field: "outdated")}</td>

            <td>${fieldValue(bean: shoutInstance, field: "shoutID")}</td>

          </tr>
        </g:each>
        </tbody>
      </table>
    </div>
    <div class="paginateButtons">
    <g:paginate total="${shoutInstanceList.getTotalCount()}" params="${flash}"/>
  </div>
  </div>
  <div class="span-5 last">
    <h3>Shout Filters</h3>
    <g:form action="list" method="get">
      <div>
        <label for="product"><g:message code="shout.product.label" default="Product"/></label>
        <g:select name="product" from="${edu.kit.iism.cdamarket.Product.list()}" optionKey="id" value="${flash?.product}" noSelection="['':'']"/>
      </div>
      <div>
        <label for="person"><g:message code="shout.person.label" default="Person"/></label>
        <g:select name="person" from="${edu.kit.iism.cdamarket.Person.list()}" optionKey="id" value="${flash?.person}" noSelection="['':'']"/>
      </div>
      <div>
        <label for="modReasonCode"><g:message code="shout.modReasonCode.label" default="ModReasonCode"/></label>
        <g:select name="modReasonCode" from="${edu.kit.iism.cdamarket.ModReasonCode?.values()}" value="${flash?.modReasonCode}" noSelection="['':'']"/>
      </div>
      <div>
        <label for="outdated"><g:message code="shout.outdated.label" default="Show Change History for each order:"/></label>
        <g:checkBox name="outdated" value="${flash.outdated}"/>
      </div>
      <div class="buttons">
        <span class="button"><input class="save" type="submit" value="Search"/></span>
        <span class="button"><g:link class="delete" action="list">Clear Search</g:link></span>
      </div>
    </g:form>
  </div>
</div>
</body>
</html>
