%{--
  - Copyright 2009-2010 the original author or authors.
  -
  - Licensed under the Apache License, Version 2.0 (the "License");
  - you may not use this file except in compliance with the License.
  - You may obtain a copy of the License at
  -
  -  http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an
  -
  - "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
  -
  - either express or implied. See the License for the specific language
  - governing permissions and limitations under the License.
  --}%

<%@ page import="edu.kit.iism.cdamarket.TransactionLog" %>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
  <meta name="layout" content="main"/>
  <g:set var="entityName" value="${message(code: 'transactionLog.label', default: 'TransactionLog')}"/>
  <title><g:message code="default.list.label" args="[entityName]"/></title>
</head>
<body>
<div class="nav">
  <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
  <span class="menuButton"><g:link class="list" controller="shout" action="list">Shout Liste</g:link></span>
  <span class="menuButton"><g:link class="list" controller="orderbook" action="list">Orderbook Liste</g:link></span>
  <span class="menuButton"><g:link class="list" controller="transactionLog" action="quotes">Quote Liste</g:link></span>
  <span class="menuButton"><g:link class="list" controller="transactionLog" action="trades">Trade Liste</g:link></span>
</div>
<div class="body">

  <h1>TransactionLog Filters</h1>
  <g:form action="list" method="get">
    <div>
      <label for="product"><g:message code="shout.product.label" default="Product"/></label>
      <g:select name="product" from="${edu.kit.iism.cdamarket.Product.list()}" optionKey="id" value="${flash?.product}" noSelection="['':'']"/>
      <label for="type"><g:message code="transactionLog.type.label" default="Type" /></label>
      <g:select name="type" from="${edu.kit.iism.cdamarket.TransactionType?.values()}" value="${flash?.type}" noSelection="['':'']" />

    </div>
    <div class="buttons">
      <span class="button"><input class="save" type="submit" value="Search"/></span>
      <span class="button"><g:link class="delete" action="list">Clear Search</g:link></span>
    </div>
  </g:form>

  <h1><g:message code="default.list.label" args="[entityName]"/></h1>
  <g:if test="${flash.message}">
    <div class="success">${flash.message}</div>
  </g:if>
  <div class="list">
    <table>
      <thead>
      <tr>

        <g:sortableColumn property="id" title="${message(code: 'transactionLog.id.label', default: 'Id')}"/>

        <th><g:message code="transactionLog.product.label" default="Product"/></th>

        <g:sortableColumn property="type" title="${message(code: 'transactionLog.type.label', default: 'Type')}"/>

        <g:sortableColumn property="price" title="${message(code: 'transactionLog.price.label', default: 'Price')}"/>

        <g:sortableColumn property="quantity" title="${message(code: 'transactionLog.quantity.label', default: 'Quantity')}"/>

        <g:sortableColumn property="bid" title="${message(code: 'transactionLog.bid.label', default: 'Bid')}"/>

        <g:sortableColumn property="bidSize" title="${message(code: 'transactionLog.bidSize.label', default: 'BidSize')}"/>

        <g:sortableColumn property="ask" title="${message(code: 'transactionLog.ask.label', default: 'Ask')}"/>

        <g:sortableColumn property="askSize" title="${message(code: 'transactionLog.askSize.label', default: 'AskSize')}"/>

        <g:sortableColumn property="dateCreated" title="${message(code: 'transactionLog.dateCreated.label', default: 'Date Created')}"/>

        <g:sortableColumn property="transactionID" title="${message(code: 'transactionLog.transactionID.label', default: 'Transaction ID')}"/>

      </tr>
      </thead>
      <tbody>
      <g:each in="${transactionLogInstanceList}" status="i" var="transactionLogInstance">
        <tr class="${(i % 2) == 0 ? 'odd' : 'even'}" onclick='window.location = "${createLink(action: "show", id: transactionLogInstance.id)}"'>

          <td><g:link action="show" id="${transactionLogInstance.id}">${fieldValue(bean: transactionLogInstance, field: "id")}</g:link></td>

          <td>${fieldValue(bean: transactionLogInstance, field: "product")}</td>

          <td>${fieldValue(bean: transactionLogInstance, field: "type")}</td>

          <td>${fieldValue(bean: transactionLogInstance, field: "price")}</td>

          <td>${fieldValue(bean: transactionLogInstance, field: "quantity")}</td>

          <td>${fieldValue(bean: transactionLogInstance, field: "bid")}</td>

          <td>${fieldValue(bean: transactionLogInstance, field: "bidSize")}</td>

          <td>${fieldValue(bean: transactionLogInstance, field: "ask")}</td>

          <td>${fieldValue(bean: transactionLogInstance, field: "askSize")}</td>

          <td><g:formatDate date="${transactionLogInstance.dateCreated}"/></td>

          <td>${fieldValue(bean: transactionLogInstance, field: "transactionID")}</td>

        </tr>
      </g:each>
      </tbody>
    </table>
  </div>
  <div class="paginateButtons">
    <g:paginate total="${transactionLogInstanceList.getTotalCount()}" params="${flash}"/>
  </div>
</div>
</body>
</html>
