
%{--
  - Copyright 2009-2010 the original author or authors.
  -
  - Licensed under the Apache License, Version 2.0 (the "License");
  - you may not use this file except in compliance with the License.
  - You may obtain a copy of the License at
  -
  -  http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an
  -
  - "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
  -
  - either express or implied. See the License for the specific language
  - governing permissions and limitations under the License.
  --}%

<%@ page import="edu.kit.iism.cdamarket.TransactionLog" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'transactionLog.label', default: 'TransactionLog')}" />
        <title><g:message code="default.show.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
            <span class="menuButton"><g:link class="list" controller="shout" action="list">Shout Liste</g:link></span>
            <span class="menuButton"><g:link class="list" controller="orderbook" action="list">Orderbook Liste</g:link></span>
            <span class="menuButton"><g:link class="list" controller="transactionLog" action="quotes">Quote Liste</g:link></span>
  <span class="menuButton"><g:link class="list" controller="transactionLog" action="trades">Trade Liste</g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="default.show.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="success">${flash.message}</div>
            </g:if>
            <div class="dialog">
                <table>
                    <tbody>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="transactionLog.id.label" default="Id" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: transactionLogInstance, field: "id")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="transactionLog.product.label" default="Product" /></td>
                            
                            <td valign="top" class="value"><g:link controller="product" action="show" id="${transactionLogInstance?.product?.id}">${transactionLogInstance?.product?.encodeAsHTML()}</g:link></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="transactionLog.type.label" default="Type" /></td>
                            
                            <td valign="top" class="value">${transactionLogInstance?.type?.encodeAsHTML()}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="transactionLog.dateCreated.label" default="Date Created" /></td>
                            
                            <td valign="top" class="value"><g:formatDate date="${transactionLogInstance?.dateCreated}" /></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="transactionLog.transactionID.label" default="Transaction ID" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: transactionLogInstance, field: "transactionID")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="transactionLog.price.label" default="Price" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: transactionLogInstance, field: "price")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="transactionLog.quantity.label" default="Quantity" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: transactionLogInstance, field: "quantity")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="transactionLog.buyerID.label" default="Buyer ID" /></td>
                            
                            <td valign="top" class="value"><g:link controller="person" action="show" id="${transactionLogInstance?.buyerID?.id}">${transactionLogInstance?.buyerID?.encodeAsHTML()}</g:link></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="transactionLog.sellerID.label" default="Seller ID" /></td>
                            
                            <td valign="top" class="value"><g:link controller="person" action="show" id="${transactionLogInstance?.sellerID?.id}">${transactionLogInstance?.sellerID?.encodeAsHTML()}</g:link></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="transactionLog.buySellIndicator.label" default="Buy Sell Indicator" /></td>
                            
                            <td valign="top" class="value">${transactionLogInstance?.buySellIndicator?.encodeAsHTML()}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="transactionLog.bid.label" default="Bid" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: transactionLogInstance, field: "bid")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="transactionLog.bidSize.label" default="Bid Size" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: transactionLogInstance, field: "bidSize")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="transactionLog.ask.label" default="Ask" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: transactionLogInstance, field: "ask")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="transactionLog.askSize.label" default="Ask Size" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: transactionLogInstance, field: "askSize")}</td>
                            
                        </tr>
                    
                    </tbody>
                </table>
            </div>
            <div class="buttons">
                <g:form>
                    <g:hiddenField name="id" value="${transactionLogInstance?.id}" />
                    <span class="button"><g:actionSubmit class="edit" action="edit" value="${message(code: 'default.button.edit.label', default: 'Edit')}" /></span>
                    <span class="button"><g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" /></span>
                </g:form>
            </div>
        </div>
    </body>
</html>
