%{--
  - Copyright 2009-2010 the original author or authors.
  -
  - Licensed under the Apache License, Version 2.0 (the "License");
  - you may not use this file except in compliance with the License.
  - You may obtain a copy of the License at
  -
  -  http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an
  -
  - "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
  -
  - either express or implied. See the License for the specific language
  - governing permissions and limitations under the License.
  --}%

<%@ page import="edu.kit.iism.cdamarket.CompetitionStatus; edu.kit.iism.cdamarket.Competition" %>
<html>
<head>
  <title>TAC Energy Tutorial</title>
  <meta name="layout" content="main"/>
</head>
<body>

<div class="nav">
  <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
</div>
<div class="span-20 last">
  <h1>Quick Start Tutorial</h1>
</div>
<div class="span-20 last">

  <div class="span-9 column">
    <h2>Download the demo client</h2>
    Download the source code of the <a href="https://code.launchpad.net/tacenergydemo" target="_blank">TAC Energy
    Demo Agent</a> from launchpad or from the <a href="http://ibwhudson.iw.uni-karlsruhe.de" target="_blank">CI
    Server</a> and unzip it to a local folder. If possible this folder should not contain whitespaces in its directory
    path. <br/>
    <strong>Note:</strong> You also need to have a current version of the <a href="http://java.sun.com/javase/downloads/widget/jdk6.jsp"
    target="_blank">Sun Java Development Kit (> 1.6)</a> and the <a href="http://grails.org/Download" target="_blank">
    Grails Development Framework</a> (v1.2.2) installed on your machine.
  </div>

  <div class="prepend-1 span-9 last">
    <img src="${resource(dir: 'images/tutorial', file: 'download.jpg')}" alt="TAC Energy"/>
  </div>

</div>
<div class="span-20 prepend-top last">

  <div class="span-9 column">
    <img src="${resource(dir: 'images/tutorial', file: 'Config.jpg')}" alt="TAC Energy"/>
  </div>

  <div class="prepend-1 span-9 last">
    <h2>Configure your agent settings</h2>
    Open <tt>$INSTALL_DIR/grails-app/Config.groovy</tt> and scroll down to the bottom. Here you need enter your personal
    login credentials for the TAC Energy server. Depending on which server you use you might also have to adjust the
    TAC Energy server url. If you're unsure about this, just <g:link url="user-list.gsp"> drop us a note</g:link>.
  </div>

</div>
<div class="span-20 prepend-top last">

  <div class="span-9 column">
    <h2>Implement your trading strategy</h2>
    Now you're set and the fun part can begin. Have the super cool algo trading strategy in your mind? Give it a try
    and pitch it against others! Head over to <tt>$INSTALL_DIR/grails-app/services/AgentStrategyService</tt> and start
    coding. For your convenience we provide you with lots of event listeners that you might want to use to jump in
    on trading energy. Just give it a try.<br/> 
    Any Questions? <g:link url="user-list.gsp"> Discuss them with others</g:link>
    or try to find answers in the <a href="http://www.tacenergy.org/docs/latest/manual/index.html" target="_blank">reference documentation</a>.
  </div>

  <div class="prepend-1 span-9 last">
    <img src="${resource(dir: 'images/tutorial', file: 'AgentStrategyService.jpg')}" alt="TAC Energy"/>
  </div>

</div>

<div class="span-20 prepend-top last">

  <div class="span-9 column">
    <img src="${resource(dir: 'images/tutorial', file: 'Run.jpg')}" alt="TAC Energy"/>
  </div>

  <div class="prepend-1 span-9 last">
    <h2>Run your agent</h2>
    Once you're finished simply type <tt>grails run-app</tt> in the command line of your install directory.
    The agent now starts up and waits for you at <a href="http://localhost:8080/tacenergydemo">http://localhost:8080/tacenergydemo</a>.<br/>
    Once you see the web interface, make sure that you send a ready notification to the TAC Energy Server by simply
    clicking the corresponding link on the start page. After the competition starts your agent will start trading
    automatically. Still, if you want you can submit orders mannually too. Just click the corresponding link.<br/>
    <strong>And now have fun...!</strong>
  </div>

</div>
</body>
</html>