/*
 * Copyright 2009-2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an
 *
 * "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 *
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */

package edu.kit.iism.cdamarket.notification;

/**
 * Notification object used as a blueprint for xml serialization of Orderbook domain classes
 * The xml serialized version of this class is sent to TAC Energy clients
 *
 * @author Carsten Block
 * @since 0.5
 * @version 1
 * First created: 02.05.2010
 * Last Updated: 02.05.2010
 */
public class OrderbookNotification {
  Long serverId
  Long competitionId
  String competitionName
  Long productId
  String productName
  Long productStartDateTime
  Long productEndDateTime
  Long dateExecuted
  Long transactionID
  Boolean outdated = false
  Double bid1 = null
  Double bid2 = null
  Double bid3 = null
  Double bid4 = null
  Double bid5 = null
  Double bid6 = null
  Double bid7 = null
  Double bid8 = null
  Double bid9 = null
  Double bid10 = null
  Double bidSize1 = 0
  Double bidSize2 = 0
  Double bidSize3 = 0
  Double bidSize4 = 0
  Double bidSize5 = 0
  Double bidSize6 = 0
  Double bidSize7 = 0
  Double bidSize8 = 0
  Double bidSize9 = 0
  Double bidSize10 = 0
  Double ask1 = null
  Double ask2 = null
  Double ask3 = null
  Double ask4 = null
  Double ask5 = null
  Double ask6 = null
  Double ask7 = null
  Double ask8 = null
  Double ask9 = null
  Double ask10 = null
  Double askSize1 = 0
  Double askSize2 = 0
  Double askSize3 = 0
  Double askSize4 = 0
  Double askSize5 = 0
  Double askSize6 = 0
  Double askSize7 = 0
  Double askSize8 = 0
  Double askSize9 = 0
  Double askSize10 = 0
}