/*
 * Copyright 2009-2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an
 *
 * "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 *
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */

package edu.kit.iism.cdamarket.notification;

/**
 * Notification object used as a blueprint for xml serialization of Shout domain classes
 * The xml serialized version of this class is sent to TAC Energy clients
 *
 * @author Carsten Block
 * @since 0.5
 * @version 1
 * First created: 02.05.2010
 * Last Updated: 02.05.2010
 */
public class ShoutNotification {
  Long serverId
  Long competitionId
  String competitionName
  Long productId
  String productName
  Long productStartDateTime
  Long productEndDateTime
  String buySellIndicator
  Double remainingQuantity
  Double limitPrice
  Double executionQuantity
  Double executionPrice
  String orderType
  Long dateCreated
  Long dateMod
  String modReasonCode
  Boolean outdated = false
  Long transactionID
  Long shoutID
  String auctionTradeFlag
}
